{"title":"Get customers (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_customer_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_customer_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_customer_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Gets a customer object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Get customers (v1.0)","slug":"get-customers-v10","at":0,"chars":2391},{"level":2,"title":"HTTP request","slug":"http-request","at":108,"chars":2283}],"text":"# Get customers (v1.0)\nRetrieve the properties and relationships of a customer object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/customers({id})\n```\n> NOTE\n> To include the financial details of a customer, expanding on customerFinancialDetails:\n```GET\n\n## Request headers (v1.0)\n\n|Header|Value|\n|------|-----|\n|Authorization  |Bearer {token}. Required. |\n\n## Request body (v1.0)\nDo not supply a request body for this method.\n\n## Response (v1.0)\nIf successful, this method returns a ```200 OK``` response code and a **customers** object in the response body.\n\n**Requests**\n\nHere is some example requests.\n\n```json\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/customers({id})\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/customers({id})?$expand=customerFinancialDetails, picture, defaultDimensions, currency, paymentTerm, shipmentMethod, paymentMethod\nGET https://{businesscentralPrefix}/api/v1.0/companies({id})/customers({id})?$expand=picture, currency, paymentMethod\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\n{\n  \"id\": \"id-value\",\n  \"number\": \"10000\",\n  \"displayName\": \"Coho Winery\",\n  \"type\": \"Company\",\n  \"address\": {\n    \"street\": \"192 Market Square\",\n    \"city\": \"Atlanta\",\n    \"state\": \"GA\",\n    \"countryLetterCode\": \"US\",\n    \"postalCode\": \"31772\"\n  },\n  \"phoneNumber\": \"\",\n  \"email\": \"jim.glynn@cronuscorp.net\",\n  \"website\": \"\",\n  \"taxLiable\": true,\n  \"taxAreaId\": \"taxAreaId-value\",\n  \"taxAreaDisplayName\": \"tax area\",\n  \"taxRegistrationNumber\": \"28012001T\",\n  \"currencyId\": \"currencyId-value\",\n  \"currencyCode\": \"USD\",\n  \"paymentTermsId\": \"3bb5b4b6-ea4c-43ca-ba1c-3b69e29a6668\",\n  \"shipmentMethodId\": \"shipmentMethodId-value\",\n  \"shipmentMethod\": null,\n  \"paymentMethodId\": \"paymentMethodId-value\",\n  \"blocked\": \" \",\n  \"lastModifiedDateTime\": \"2017-03-07T00:35:28.983Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../resources/dynamics_customer\nPost Customers<dynamics_create_customer>\nPatch Customers<dynamics_customer_update>\ndynamics_customer_delete"}